#### Switch the `babel` parser to `babel-flow` if the `@flow` pragma is found (#9071 by @fisker)

In practice, this means that as long as your Flow files have the pragma, it's safe to use the `.js` extension for them. Prettier will correctly parse and print them without any additional configuration. Previously, the pragma was recognized by the parser, but there existed minor correctness issues with the printer. E.g. it's not safe to unquote number keys in Flow.

<!-- prettier-ignore -->
```jsx
// Input (with --parser babel)
// @flow
f<T>({ "2": 2 })

// Prettier stable
// @flow
f<T>({ 2: 2 });

// Prettier master
// @flow
f<T>({ "2": 2 });
```
