#### Update to `@babel/parser` 7.12 (#9408, #9476, #9597 by @sosukesuzuki)

Updated the JavaScript parser to [`@babel/parser` 7.12](https://babeljs.io/blog/2020/10/15/7.12.0). This fixes several bugs and supports some new syntax.

##### Support Import Assertions

[The "module attributes" proposal supported on 2.1](https://prettier.io/blog/2020/08/24/2.1.0.html#support-es-module-attributes-and-json-modules-8436httpsgithubcomprettierprettierpull8436-by-fiskerhttpsgithubcomfisker) has been significantly changed and also renamed to "import assertions".

```js
import foo from "./foo.json" assert { type: "json" };
```

##### Support imports and exports with string names

```js
let happy = "happy";
export { happy as "😃" };
```

##### Support class static blocks

```js
class C {
  static #x = 42;
  static y;
  static {
    try {
      this.y = doSomethingWith(this.#x);
    } catch {
      this.y = "unknown";
    }
  }
}
```
